/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2006 Smithsonian Astrophysical Observatory
 *
 * This file is part of suplib
 *
 * suplib is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * suplib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the 
 *       Free Software Foundation, Inc. 
 *       51 Franklin Street, Fifth Floor
 *       Boston, MA  02110-1301, USA
 *
 * -->8-->8-->8-->8-- */

#define MIN(a,b) ((a) < (b) ? (a) : (b))

#define IMIN2(r,a,b)		\
  do {				\
    int _a = (a);		\
    int _b = (b);		\
    r = MIN(_a,_b);		\
  } while(0)

#define IMIN3(r,a,b,c)		\
  do {				\
    int _a = (a);		\
    int _b = (b);		\
    int _c = (c);		\
    int _minab = MIN(_a,_b);	\
    r = MIN(_minab,_c);		\
  } while(0)

#define MAX(a,b) ((a) > (b) ? (a) : (b))

#define IMAX2(r,a,b)		\
  do {				\
    int _a = (a);		\
    int _b = (b);		\
    r = MAX(_a,_b);		\
  } while(0)

#define IMAX3(r,a,b,c)		\
  do {				\
    int _a = (a);		\
    int _b = (b);		\
    int _c = (c);		\
    int _maxab = MAX(_a,_b);	\
    r = MAX(_maxab,_c);		\
  } while(0)

